Skip to main content
POST
/
management
/
companies
/
webhook
/
key
curl -X POST "https://api.cryptomate.me/management/companies/webhook/key" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "key": "wh_key_xyz789abc"
  }'
{
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "webhook_url": "https://api.acme.com/webhooks",
  "webhook_key": "wh_key_xyz789abc"
}
Configures or updates the webhook authentication key used to verify webhook notifications. Requires an API key with access level 3 or higher.

Body

key
string
required
New secret key for webhook signature verification.

Response

name
string
Company name.
email
string
Company contact email address.
webhook_url
string
Webhook URL.
webhook_key
string
New webhook signing key.
curl -X POST "https://api.cryptomate.me/management/companies/webhook/key" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "key": "wh_key_xyz789abc"
  }'
{
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "webhook_url": "https://api.acme.com/webhooks",
  "webhook_key": "wh_key_xyz789abc"
}